2019-12-13 08:12 EST


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0003203FSSCPgameplaypublic2019-11-28 00:59
Reportersbmavroleon 
Assigned ToFSCyborg 
PriorityurgentSeveritycrashReproducibilityhave not tried
StatusfeedbackResolutionopen 
Product Version3.8 
Target VersionFixed in Version 
Summary0003203: Unrecoverable crash at end of first part of a mission
DescriptionDuring Act 2 at the end of the mission where the Eva is destroyed, shortly after destroying the Eva and just before receiving new orders, the game crashes, with the bug codes as attached. Reloading the game does not help and I cannot progress with the campaign.

Steps To ReproduceAll other friendly ships had been destroyed and I was the only ship (with a support ship) left in game. I destroyed the Eva and it crashed on loading to the new orders screen.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0016941

FSCyborg (developer)

Last edited: 2019-11-28 00:59

View 2 revisions

Luckily it looks like m!m hit this bug himself and fixed it. Turns out red-alert missions were not taken into account when the assert was written.

Here is the probable fix:

https://github.com/scp-fs2open/fs2open.github.com/pull/1789

Now, I'm going to mark this as waiting for feedback. Use either 19.0 RC1 or a recent nightly to see if you still have the issue. In six months, if I don't hear anything I'll just mark it as resolved because it is very likely to be fixed at this point.

+Notes

-Issue History
Date Modified Username Field Change
2018-02-12 15:33 sbmavroleon New Issue
2018-02-12 15:33 sbmavroleon File Added: Capture.JPG
2019-11-28 00:53 FSCyborg Assigned To => FSCyborg
2019-11-28 00:53 FSCyborg Status new => assigned
2019-11-28 00:55 FSCyborg Note Added: 0016941
2019-11-28 00:58 FSCyborg Status assigned => feedback
2019-11-28 00:58 FSCyborg Category scripting => gameplay
2019-11-28 00:59 FSCyborg Note Edited: 0016941 View Revisions
+Issue History